Page MenuHomePhabricator

Merge the functionality of jquery.accessKeyLabel into OOjs UI's AccessKeyedElement
Closed, ResolvedPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 20 2017, 3:03 PM

So actually, due to different licenses, copy-pasting jquery.accessKeyLabel code into OOjs UI would be a copyright violation (and parts of this code are like ten years old so contacting the authors to relicense it would be difficult). Reimplementing it from scratch seems like a waste of effort. I'm just going to make OOjs UI call into jquery.accessKeyLabel if it's available.

The extra hidden dependency is a bit annoying, but eh. There's like three other things in this idea already that will be annoying.

matmarex claimed this task.Jun 22 2017, 4:28 PM

Change 360902 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[oojs/ui@master] When TitledElement is an AccessKeyedElement, show accesskey in the title

https://gerrit.wikimedia.org/r/360902

Change 360903 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[oojs/ui@master] FieldLayout: Show widget's accesskey in our title

https://gerrit.wikimedia.org/r/360903

Change 360904 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/core@master] Revert "mw.action.edit: Restore modifier keys for accesskey in tooltip for summary field"

https://gerrit.wikimedia.org/r/360904

Change 360905 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/core@master] Avoid duplicate accesskey hints on OOUI widgets

https://gerrit.wikimedia.org/r/360905

Volker_E moved this task from Backlog to Reviewing on the OOUI board.Jul 6 2017, 12:55 PM

Change 360902 merged by jenkins-bot:
[oojs/ui@master] When TitledElement is an AccessKeyedElement, show access key in the title

https://gerrit.wikimedia.org/r/360902

Change 360903 merged by jenkins-bot:
[oojs/ui@master] FieldLayout: Show widget's accesskey in our title

https://gerrit.wikimedia.org/r/360903

Jdforrester-WMF closed this task as Resolved.Aug 1 2017, 9:01 PM
Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF moved this task from Reviewing to OOjs-UI-0.22.4 on the OOUI board.
Jdforrester-WMF edited projects, added OOUI (OOjs-UI-0.22.4); removed OOUI.
Jdforrester-WMF removed a project: Patch-For-Review.

Change 360904 merged by jenkins-bot:
[mediawiki/core@master] Revert "mw.action.edit: Restore modifier keys for accesskey in tooltip for summary field"

https://gerrit.wikimedia.org/r/360904

Change 360905 merged by jenkins-bot:
[mediawiki/core@master] Avoid duplicate accesskey hints on OOUI widgets

https://gerrit.wikimedia.org/r/360905